PHP 5 und WordPress Plugins

In einer spontanen Aktion hatte ich es schon versucht auf meinem Server PHP 5 zu installieren. Nachdem einige WordPress Installationen den Dienst verweigert haben, war der Server-Restore die schnellere Lösung. Nach Rücksprache mit dem Support von Host Europe stellte sich heraus dass der Grund für den Fehler die bei PHP 5 restriktivere open_basedir restriction war. Dies wird in der Apache error_log ersichtlich:
PHP Warning: main() [function.main]: open_basedir restriction in effect. File(/usr/share/php5/config.php) is not within the allowed path(s): (/srv/www/.../httpdocs:/tmp) in /srv/www/.../plugins/anarchy_media/anarchy_media_player.php on line 20

Eine kleine Anpassung des Anarchy Media Player Plugin war also nötig:

In Zeile 20 habe ich include_once('config.php'); durch require_once(dirname(__FILE__).'/config.php'); ersetzt.

Weiter hat auch das Statistik-Plugin WP-Slimstat nicht mehr funktioniert. Da ich in einer anderen Installation WP-Slimstat-Ex verwende, beschloss ich ebenfalls umzusteigen (Weitere Infos zu Slimstat-Ex in meinem Post).

Vielen Dank an den guten Support von Host Europe und die Hilfe von Spuky.

Über Cedric Weber

Ich schreibe seit Mai 2003 zu Themen rund um das Web2.0, Enterprise2.0, Social Software, Wikis, Weblogs, online Kollaboration, Instant Messaging, sowie Linux / Ubuntu und Apple. Dazwischen findest du Themen aus meinem Alltag - über Glaube und Spiritualität, Fotografie, Musik und vieles andere.

Schreibe einen Kommentar

Deine E-Mail-Adresse wird nicht veröffentlicht. Erforderliche Felder sind mit * markiert.